Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84076 - deleting non-empty imap-folder causes segfault
Summary: deleting non-empty imap-folder causes segfault
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: evolution
Version: phoebe
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-02-11 22:03 UTC by Tom Vergote
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-12 20:16:22 UTC


Attachments (Terms of Use)

Description Tom Vergote 2003-02-11 22:03:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030120

Description of problem:
When deleting a non-empty imap-folder with subfolders i got the error message
"cannot delete folder: cannot create a folder with that name" after which
evolution segfaults.

I am connecting to a courier imap server.
The error only happens when you try to delete a folder with subfolders, there
can be messages in them, no problem, and i could delete them one by one moving
up the tree too, but as soon as i tried to delete a folder with subfolders i had
the error

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start evolution
2. connect to a courier imap server
3. delete a folder which has subfolders
    

Actual Results:  evolution segfaults

Expected Results:  the folder and subfolders should've been deleted

Additional info:

it might be a long shot, but i think it's got something to do with the dot's in
the folders naming. 
they go:
.folder
.folder.subfolder1
.folder.subfolder2
.folder.subfolder2.subsub1

Comment 1 Jeremy Katz 2003-02-12 20:16:22 UTC
The segfault is fixed in 1.2.2.  Deleting folders with subfolders can be racy so
is disallowed intentionally (although, yes, the error message is a little
misleading)


Note You need to log in before you can comment on or make changes to this bug.